Make flash plugin work on Firefox 4 and Ubuntu 64 bits

On ubuntu 64 bits, flash support for Firefox 4 is broken after a manual upgrade, the reason is that the nspluginwrapper thing seems not to work well with the new firefox.

The solution is pretty simple, download flash plugin from adobe here (select .tar.gz Linux option), unpack it and replace the file npwrapper.libflashplayer.so on /var/lib/flashplugin-installer with the unpacked libflashplayer.so.

$ tar -xvzf install_flash_player_10_linux.tar.gz
$ sudo cp libflashplayer.so /var/lib/flashplugin-installer/npwrapper.libflashplayer.so

Enjoy.

Leave a Reply

Your email address will not be published. Required fields are marked *